import request from '@/utils/request'

// 查询仓库列表
export function listWarehousebills(query) {
  return request({
    url: '/basicdata/warehousebills/list',
    method: 'get',
    params: query
  })
}

// 查询仓库详细
export function getWarehousebills(fId) {
  return request({
    url: '/basicdata/warehousebills/' + fId,
    method: 'get'
  })
}

// 新增仓库
export function addWarehousebills(data) {
  return request({
    url: '/basicdata/warehousebills',
    method: 'post',
    data: data
  })
}

// 修改仓库
export function updateWarehousebills(data) {
  return request({
    url: '/basicdata/warehousebills',
    method: 'put',
    data: data
  })
}

// 删除仓库
export function delWarehousebills(fId) {
  return request({
    url: '/basicdata/warehousebills/' + fId,
    method: 'delete'
  })
}

// 导出仓库
export function exportWarehousebills(query) {
  return request({
    url: '/basicdata/warehousebills/export',
    method: 'get',
    params: query
  })
}